package com.grupogodo.corp.projects.optimus.entities;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;

import lombok.*;

import com.grupogodo.corp.libs.jpa.core.BaseEntity;

@NoArgsConstructor
@AllArgsConstructor
@Entity
@Getter
@Setter
public class ExecutionException extends BaseEntity {

    private String type;

    private String message;

    private String stackTrace;

    @OneToOne
    private Execution execution;

    @ManyToOne
    private ProcessDefinition processDefinition;

}
