package com.grupogodo.corp.projects.optimus.repositories.impl;

import java.util.List;

import com.grupogodo.corp.libs.jpa.core.JpaDefaultRepository;
import com.grupogodo.corp.projects.optimus.entities.*;
import com.grupogodo.corp.projects.optimus.repositories.UserPermissionRepository;

public class UserPermissionRepositoryImpl extends JpaDefaultRepository<UserPermission, Long> implements UserPermissionRepository {

    private final QUserPermission permission = QUserPermission.userPermission;
    

    @Override
    public List<UserPermission> findByGroup(Group group) {

        return group.getPermissions();
    }

}
