package com.grupogodo.corp.projects.optimus.services;

import java.util.Collection;
import java.util.List;

import com.grupogodo.corp.libs.common.domain.*;
import com.grupogodo.corp.projects.optimus.entities.*;

public interface ExecutionExceptionService {

    ExecutionException save(ExecutionException executionException);

    void delete(ExecutionException executionException);
    
    ExecutionException findByExecution(Execution execution);
    
    ExecutionException findByProcessDefinition(ProcessDefinition processDefinition);
    
    List<ExecutionException> findAll();

    ExecutionException get(Long id);

    Page<ExecutionException> find(Collection<Filter> filters, Pageable pageable);     

}
