package com.grupogodo.corp.projects.optimus.services;

import java.util.Collection;
import java.util.List;

import com.grupogodo.corp.libs.common.domain.*;
import com.grupogodo.corp.projects.optimus.entities.*;

public interface ExecutionService {

    Execution save(Execution execution);

    void delete(Execution execution);
    
    List<Execution> findByGroup(Group group);
    
    List<Execution> findByProcessDefinition(ProcessDefinition processDefinition);

    List<Execution> findAll();

    Execution get(Long id);

    Page<Execution> find(Collection<Filter> filters, Pageable pageable);     

}
