package com.grupogodo.corp.projects.optimus.services.processor;

import lombok.Data;

/**
 * Classe Per definir la informació dels paràmetres
 * 
 * @author fdeobes
 * 
 */

@Data
public class ParameterInfo {

    public enum ParameterType {
        RELATION, STRING, INTEGER, TEXT
    }

    private final String name;
    private final ParameterType parameterType;
}
