package com.grupogodo.corp.projects.optimus;

import lombok.SneakyThrows;

import org.springframework.context.ApplicationContextInitializer;
import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;

import com.grupogodo.corp.libs.godointegration.metainfo.MetaInfoConfig;

public class Initializer implements ApplicationContextInitializer<AnnotationConfigWebApplicationContext> {

    @Override
    @SneakyThrows
    public void initialize(AnnotationConfigWebApplicationContext applicationContext) {
        applicationContext.getEnvironment().setActiveProfiles(MetaInfoConfig.getActiveProfile());
        applicationContext.scan(Initializer.class.getPackage().getName());
    }
}
