package com.grupogodo.corp.projects.optimus.repositories;

import java.util.List;
import java.util.Set;

import com.grupogodo.corp.libs.jpa.core.DefaultRepository;
import com.grupogodo.corp.projects.optimus.entities.Group;
import com.grupogodo.corp.projects.optimus.entities.ProcessDefinition;


public interface ProcessRepository extends DefaultRepository<ProcessDefinition, Long> {

    ProcessDefinition findByName(String name);
    
    Set<ProcessDefinition> findByGroup(Group group);

    List<ProcessDefinition> suggest(String pattern);

}
