package com.grupogodo.corp.projects.optimus.services;

import java.util.List;
import java.util.Set;

import com.grupogodo.corp.projects.optimus.entities.Group;
import com.grupogodo.corp.projects.optimus.entities.ProcessDefinition;

public interface ProcessService {

    ProcessDefinition save(ProcessDefinition process);

    List<ProcessDefinition> findAll();

    void delete(ProcessDefinition process);

    Set<ProcessDefinition> findByGroup(Group group);

    ProcessDefinition findOne(Long id);

    List<ProcessDefinition> suggest(String pattern);
}
