package com.grupogodo.corp.projects.optimus.services;

import java.util.Collection;
import java.util.List;

import com.grupogodo.corp.libs.common.domain.*;
import com.grupogodo.corp.projects.optimus.entities.ScheduledTask;


public interface TaskService {

    ScheduledTask save(ScheduledTask scheduledTask);

    List<ScheduledTask> findAll();

    void delete(ScheduledTask scheduledTask);
    
    ScheduledTask get(Long id);

    Page<ScheduledTask> find(Collection<Filter> filters, Pageable pageable);
    
    void execute(ScheduledTask scheduledTask);
    
}
