package com.grupogodo.corp.projects.optimus.services.processor;

import static lombok.AccessLevel.PROTECTED;
import lombok.Getter;

import org.springframework.beans.factory.annotation.Autowired;

public abstract class AbstractProcessor implements Processor {

    @Autowired
    @Getter(PROTECTED)
    private ProcessorExecutor executor;

    @Override
    public boolean isExtraParametersAllowed() {
        return false;
    }
    
    @Override
    public String preview(ProcessorContext context) {
        return String.valueOf(execute(context));
    }
}
