package com.grupogodo.corp.projects.optimus.services.processor.impl;

import java.io.File;
import java.util.Arrays;
import java.util.List;

import org.springframework.stereotype.Component;

import com.grupogodo.corp.projects.optimus.services.processor.*;
import com.grupogodo.corp.projects.optimus.services.processor.ParameterInfo.ParameterType;

/**
 * Obté un fitxer a partir d ela seva ruta
 * 
 * @author fdeobes
 * 
 */
@Component
public class FileProcessor extends AbstractProcessor {

    @Override
    public List<ParameterInfo> getParameters() {
        return Arrays.asList(new ParameterInfo("path", ParameterType.STRING));
    }

    @Override
    public File execute(ProcessorContext context) {
        String path = context.getString("path");
        File file = new File(path);
        return file;
    }

}
